Api.snapcraft.io ipv6 support?


#1

Hi,
i have ipv6 only machine so i can’t install any snaps now because it seems api.snapcraft.io runs only on ipv4 :confused:

For example installing LXD snap on Ububntu 16.04 LTS fails with this error:

error: cannot install "lxd": Get
   https://api.snapcraft.io/api/v1/snaps/details/lxd?channel=stable&fields=anon_download_url%2Carchitecture%2Cchannel%2Cdownload_sha3_384%2Csummary%2Cdescription%2Cdeltas%2Cbinary_filesize%2Cdownload_url%2Cepoch%2Cicon_url%2Clast_updated%2Cpackage_name%2Cprices%2Cpublisher%2Cratings_average%2Crevision%2Cscreenshot_urls%2Csnap_id%2Clicense%2Cbase%2Csupport_url%2Ccontact%2Ctitle%2Ccontent%2Cversion%2Corigin%2Cdeveloper_id%2Cprivate%2Cconfinement%2Cchannel_maps_list:
   net/http: request canceled while waiting for connection (Client.Timeout
   exceeded while awaiting headers)

Is there possibility to run snaps on only ipv6 machines?


#2

Wow. I can’t believe there’s not IPv6 support in 2019. I would consider that a bug.


#3

It is indeed a bug. Filed here (as I note you’ve discovered via your recent comment). Mentioning it here so others can follow along :slight_smile: